use phf::phf_map;

static GENRES: phf::Map<i32, &'static str> = phf_map!(
0i32 => "All",
2i32 => "African Music",
3i32 => "Afro Pop",
4i32 => "Biguine",
5i32 => "Coupé-Décalé",
6i32 => "Mauritian Sega",
7i32 => "Mauritian Seggae",
8i32 => "Mauritian Swag",
9i32 => "Touareg",
10i32 => "Zouglou",
11i32 => "Zouk",
12i32 => "Arabic Music",
13i32 => "Chaabi",
14i32 => "Charki",
15i32 => "Raï",
16i32 => "Asian Music",
18i32 => "Chinese Pop",
20i32 => "Indonesian Pop",
22i32 => "J-Pop",
23i32 => "K-Pop",
24i32 => "Malaysian Pop",
25i32 => "Indonesian Music",
27i32 => "Thai Country",
28i32 => "Thai Pop",
29i32 => "Thai Retro",
36i32 => "Flamenco",
39i32 => "Iskelmä",
45i32 => "Schlager & Volksmusik",
49i32 => "Turkish Folk Music",
52i32 => "French Chanson",
58i32 => "Banda/Grupero",
60i32 => "Folklore latino-américain",
65i32 => "Traditional Mexicano",
67i32 => "Salsa",
71i32 => "Cumbia",
73i32 => "Tango",
75i32 => "Brazilian Music",
76i32 => "Axé/Forró",
78i32 => "MPB",
79i32 => "Samba/Pagode",
80i32 => "Sertanejo",
81i32 => "Indian Music",
84i32 => "Country",
85i32 => "Alternative",
86i32 => "Indie Pop",
87i32 => "Indie Rock",
88i32 => "Thai Indie",
89i32 => "Indé Finlandaise",
90i32 => "Estonian Indie",
91i32 => "Latin Alternative",
94i32 => "Alternative Brazil",
95i32 => "Kids",
96i32 => "Nursery Rhymes",
97i32 => "Stories",
98i32 => "Classical",
99i32 => "Baroque",
100i32 => "Classical Period",
101i32 => "Early Music",
102i32 => "Modern",
103i32 => "Opera",
104i32 => "Renaissance",
105i32 => "Romantic",
106i32 => "Electro",
107i32 => "Chill Out/Trip-Hop/Lounge",
108i32 => "Dubstep",
109i32 => "Electro Hip Hop",
110i32 => "Electro Pop/Electro Rock",
111i32 => "Techno/House",
112i32 => "South African House",
113i32 => "Dance",
114i32 => "Dancefloor",
115i32 => "Trance",
116i32 => "Rap/Hip Hop",
121i32 => "German Rap",
122i32 => "Reggaeton",
123i32 => "Russian Rap",
124i32 => "Finnish Rap",
125i32 => "Kwaito",
128i32 => "French Rap",
129i32 => "Jazz",
130i32 => "Instrumental Jazz",
131i32 => "Vocal Jazz",
132i32 => "Pop",
133i32 => "Indie Pop/Folk",
134i32 => "International Pop",
135i32 => "Russian Pop",
136i32 => "Pop finlandaise",
137i32 => "Turkish Pop",
138i32 => "Latin Pop",
141i32 => "Variété Internationale",
142i32 => "Hungarian Pop-Rock",
143i32 => "French Pop",
144i32 => "Reggae",
145i32 => "Dancehall/Ragga",
146i32 => "Dub",
147i32 => "Ska",
149i32 => "Finnish Reggae",
150i32 => "Mauritian Reggae",
152i32 => "Rock",
153i32 => "Blues",
154i32 => "Indie Rock/Rock Pop",
155i32 => "Hard Rock",
156i32 => "Rock & Roll/Rockabilly",
157i32 => "Finnish Metal",
158i32 => "Russian Rock",
159i32 => "Turkish Rock",
160i32 => "Latin Rock",
161i32 => "Brazilian Rock",
162i32 => "Finnish Rock",
164i32 => "French rock",
165i32 => "R&B",
166i32 => "Contemporary R&B",
167i32 => "Contemporary Soul",
168i32 => "Disco",
169i32 => "Soul & Funk",
170i32 => "Oldschool R&B",
171i32 => "Old school soul",
173i32 => "Films/Games",
174i32 => "Film Scores",
175i32 => "Musicals",
176i32 => "Soundtracks",
177i32 => "TV Soundtracks",
178i32 => "Bollywood",
179i32 => "Game Scores",
180i32 => "Acoustic Blues",
181i32 => "Chicago Blues",
182i32 => "Classic Blues",
183i32 => "Country Blues",
184i32 => "Delta Blues",
185i32 => "Electric Blues",
186i32 => "Christian",
187i32 => "Gospel",
188i32 => "Praise & Worship",
189i32 => "Christian Pop",
190i32 => "Christian Rap",
191i32 => "Christian Rock",
192i32 => "Alternative Country",
193i32 => "Bluegrass",
194i32 => "Honky Tonk",
195i32 => "Traditional Country",
196i32 => "Urban Cowboy",
197i32 => "Latin Music",
198i32 => "Traditional Mexican Tango",
199i32 => "Caribe",
200i32 => "Dirty South",
202i32 => "East Coast",
204i32 => "West Coast",
206i32 => "Old School",
208i32 => "Jazz Hip Hop",
210i32 => "Comedy",
212i32 => "Business",
214i32 => "News & Politics",
216i32 => "Culture & Society",
218i32 => "Education",
220i32 => "Gaming",
222i32 => "Music & Commentaries",
226i32 => "Science",
228i32 => "Spirituality & Religion",
230i32 => "Sports",
232i32 => "Technology",
332i32 => "TV shows & movies",
370i32 => "Storytelling",
454i32 => "Lifestyle & loisirs",
456i32 => "Kids & Family",
457i32 => "Audiobooks",
459i32 => "German Music",
462i32 => "Audiobooks in German ",
464i32 => "Metal",
466i32 => "Folk",
468i32 => "Sélection Deezer",
472i32 => "Brazilian Rap/Funk",
474i32 => "Moods",
476i32 => "Activities",
478i32 => "Moments",
480i32 => "Family",
482i32 => "Musique Finlandaise",
484i32 => "World",
486i32 => "Infos & Divertissement",
488i32 => "Afrikaans",
490i32 => "Pop sud-africaine",
492i32 => "Folk sud-africaine",
498i32 => "Música colombiana",
500i32 => "Vallenato",
502i32 => "Champeta",
504i32 => "Salsa Choke",
506i32 => "Raizal",
510i32 => "Norteño",
512i32 => "Ranchera",
514i32 => "Corridos",
516i32 => "Flamenco Pop",
518i32 => "Nederlandstalige muziek",
520i32 => "Grime",
522i32 => "Singer & Songwriter",
524i32 => "Bolero",
526i32 => "Choeur",
528i32 => "Romantica",
530i32 => "Bachata",
532i32 => "Folklore Argentino",
534i32 => "Tropical",
536i32 => "Soul",
537i32 => "Chill",
539i32 => "Workout",
541i32 => "Party",
543i32 => "Feelings & romance",
544i32 => "Musique russe",
552i32 => "True crime",
562i32 => "Podcasts internationaux",
572i32 => "Communauté latine",
582i32 => "Erotica",
592i32 => "Football",
602i32 => "Basketball",
612i32 => "Cours de langues",
622i32 => "Arts",
632i32 => "Histoire",
641i32 => "Voyages et lieux",
651i32 => "Philosophie",
661i32 => "Littérature",
681i32 => "Pop culture",
691i32 => "Cuisine",
701i32 => "Mode & Beauté",
721i32 => "Femmes inspirantes",
731i32 => "Etre parent",
741i32 => "Documentaire",
751i32 => "Relations",
761i32 => "Développement personnel",
771i32 => "Rugby",
781i32 => "Kids podcasts",
791i32 => "Health & Fitness",
801i32 => "Entrepreneuriat",
811i32 => "Horreur",
821i32 => "Journaux intimes et témoignages",
831i32 => "Masculinité",
841i32 => "Arts et entertainment",
851i32 => "Design",
861i32 => "Art performance",
871i32 => "Arts visuels",
881i32 => "Actualité du jour",
891i32 => "Actualité sportive",
901i32 => "Actualité tech",
911i32 => "Elections",
921i32 => "Ecologie",
931i32 => "Actualité culturelle",
941i32 => "Investir/finance",
951i32 => "Management",
961i32 => "Marketing",
971i32 => "NGO",
981i32 => "Job coaching",
991i32 => "Standup",
1001i32 => "Improvisation",
1011i32 => "Sci Fi & fantasy",
1021i32 => "Thriller",
1031i32 => "Paranormal",
1041i32 => "Médecine alternative",
1051i32 => "Fitness",
1061i32 => "Médecine",
1071i32 => "Santé mentale",
1081i32 => "Nutrition",
1091i32 => "Sexualité",
1101i32 => "Méditation",
);

pub fn get_genre(genre_id: i32) -> Option<&'static &'static str> {
    GENRES.get(&genre_id)
}
